Last Comment Bug 703078 - Negotiate paypal pre-auth for repeat in-app payments
: Negotiate paypal pre-auth for repeat in-app payments
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: unspecified
: x86 Mac OS X
: P3 normal
: 6.4.8
Assigned To: Kumar McMillan [:kumar] (needinfo all the things)
:
:
Mentors:
Depends on: 703073
Blocks: 698116 703179
  Show dependency treegraph
 
Reported: 2011-11-16 13:49 PST by Kumar McMillan [:kumar] (needinfo all the things)
Modified: 2016-02-04 14:51 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kumar McMillan [:kumar] (needinfo all the things) 2011-11-16 13:49:12 PST
For faster repeat in-app payments (see bug 703073) use PayPal's pre-auth API so that users can make future purchases to a certain app without going through the full PayPal buyflow.

There is a prototype of using preauth at https://github.com/mozilla/apps-payment-server/
However, it's not working right at the time of this writing. It might need to be adjusted for digital goods.
Comment 1 Kumar McMillan [:kumar] (needinfo all the things) 2012-04-11 09:20:52 PDT
this was fixed as part of bug 739582

https://github.com/mozilla/zamboni/commit/e7fb8fd

Note You need to log in before you can comment on or make changes to this bug.